Nimbu Developer Docs
ReferenceReleases

Record a release

POST
/releases

Records an immutable deployment. actor is always set by the server from the authenticated credential; a client-sent value is ignored. Releases cannot be updated or deleted.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/releases" \  -H "Content-Type: application/json" \  -d '{    "environment": "string",    "commit": "string"  }'
{
  "id": "string",
  "environment": "string",
  "commit": "string",
  "ref": "string",
  "actor": "string",
  "summary": {},
  "forced": true,
  "created_at": "2019-08-24T14:15:22Z"
}
Empty
{
  "message": "string",
  "code": 0,
  "errors": [
    {
      "resource": "string",
      "field": "string",
      "message": "string",
      "code": "string",
      "messages": [
        "string"
      ],
      "codes": [
        "string"
      ],
      "value": null
    }
  ]
}